package com.iamberry.wechat.service.wechat;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.iamberry.wechat.core.entity.wx.Token;
import com.iamberry.wechat.face.wechat.TokenService;
import com.iamberry.wechat.service.mapper.TokenMapper;

@Service
public class TokenServiceImpl implements TokenService {
	
	@Autowired
	private TokenMapper mapper;
	

	// 获取token
	public Token selectOne(String appid) {
		return mapper.selectOne(appid);
	}
	
	// 修改token
	public Integer updateToken(Token token) {
		return mapper.updateToken(token);
	}
}
